[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

libgtop-1.0.13_5 broken on amd64 (XFree86-libraries error)



On Thu, 2003-11-27 at 05:17, Kris Kennaway wrote:
> http://bento.freebsd.org/errorlogs/amd64-5-latest/libgtop-1.0.13_5.log
> 
> This looks like an XFree86-libraries error.

Yes.  XFree86 4.3.0 ships several important libraries static only (I've
heard libXau and libxkb* are a problem for amd64, static libXfont and
libXxf86dga are stupid in general, static libXxf86vm is bad for new
libGL).  In CVS they've made several of them shared, but not all from
what I'm told.  I'd been hoping AMD64 folks would patch
XFree86-4-libraries appropriately (it sounds like some have already done
it locally), but nobody has yet.  I'm pretty busy with xserver stuff at
the moment so I probably won't get to it.

Most of the static libraries problems will go away once we move to
freedesktop.org libraries and XFree86-4-libraries becomes much smaller.

-- 
Eric Anholt                                eta_(_at_)_lclark_(_dot_)_edu          
http://people.freebsd.org/~anholt/         anholt_(_at_)_FreeBSD_(_dot_)_org



Visit your host, monkey.org